Subject: [bug#39258] [PATCH v3 0/3] Package metadata cache for guix search

From: Ludovic Courtès <[email-masked]>
Date: Sun, 05 Apr 2020 16:08:28 +0200

Hi Arun,

Arun Isaac <[email-masked]> skribis:

> This is v3 of my attempt to make guix search faster. In this version, I have
> abandoned use of xapian. Instead I build a cache of the metadata of all
> packages in a profile hook. Then, I use that cache to search and display
> search results. This way, package guile modules are not loaded during guix
> search.
>
> Speedup is around 2x. Both measurements below are with a warm cache.

Sorry for the delay!  Just to say that I like the approach, and I’ll
take a closer look once the release is out…

Thank you!

Ludo’.